/**
 * Required external Libraries:
 * - Vulkan
 * - glfw
 * - glm
 * - stb
 */

#define DEBUG 1

#include "vulkan/vulkan_app.hpp"

int main(int argc, char **argv){
    std::cout << "Program path: " << argv[0] << std::endl;
    try{
        vapp::Vulkan app;
        app.run("Vulkan", 1200, 900);
    }
    catch(const std::exception& e){
        std::cerr << e.what() << std::endl;
        return EXIT_FAILURE;
    }

    return EXIT_SUCCESS;
}